Subject: Re: [bug-diffutils] bug#48062: make check fails if configured with --program-prefix

From: Jim Meyering <[email-masked]>
Date: Sun, 23 Jun 2024 22:52:23 -0700

On Sun, Jun 23, 2024 at 3:16 AM Collin Funk <[email-masked]> wrote:
> Hi,
>
> Jun T says:
> > $ ./configure --program-prefix=g
> > $ make
> > $ make check
> >
> > then two tests diff3 and help-version fail.
> > The reason is quite simple; the log contains lines like
> >
> > +diff3: subsidiary program 'gdiff' not found
>
> I noticed this since I use --program-prefix=g too. More generally
> --program-{prefix,suffix} are simpler forms of
> --program-transform-name.
>
> The error is because the sed pattern given to that option is only used
> on the executable after 'make install'. I've attached a patch that
> invokes diff3 and sdiff with --diff-program=diff which should make the
> tests pass regardless of the options passed to ./configure.

Thank you. Applied and pushed.
Unrelated, I noticed that a gnulib test failed on Fedora 40:

$ make check
...
/bin/ld: test-pthread-cond.o: in function `pthread_cond_timedwait_routine':
/home/j/w/co/diffutils/gnulib-tests/test-pthread-cond.c:146:(.text+0x103):
undefined reference to `__pthread_cond_timedwait64'
collect2: error: ld returned 1 exit status
  CCLD     test-putenv
make[4]: *** [Makefile:5745: test-pthread-cond] Error 1